kr.co.hanwha.hifive.screen.main.project

## Interface MainProjectContract.Presenter

All Superinterfaces:
  BasePresenter

All Known Implementing Classes:
  MainProjectPresenter

Enclosing interface:
  MainProjectContract

    public static interface MainProjectContract.Presenter
    extends BasePresenter

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getProjectId()` Get Project Id
`void` `initProjectList()` Initialize Project info
`void` `initTaskData(boolean needLoading)` Initialize Data
`void` `setIsAll(boolean isAll)` 필터 : 진행중 / 전체
`void` `setProjectId(int projectId)` Set Project & refresh lsit
`void` `showEditIssueDialog()` Change issue(web view)
`void` `showProjectColorDialog()` Change project color dialog
`void` `updateProjectColor(ProjectEvaluationType type)` Update project color

### Methods inherited from interface kr.co.hanwha.hifive.base.BasePresenter

`detachView, getContext`

### Method Detail

#### initProjectList

    void initProjectList()

Initialize Project info

#### initTaskData

    void initTaskData(@NonNull
                      boolean needLoading)

Initialize Data

Parameters:
  `needLoading` - ProgressBar

#### setProjectId

    void setProjectId(int projectId)

Set Project & refresh lsit

Parameters:
  `projectId` - ID

#### getProjectId

    int getProjectId()

Get Project Id

Returns:
  Integer

#### setIsAll

    void setIsAll(boolean isAll)

필터 : 진행중 / 전체

Parameters:
  `isAll` - Boolean

#### showEditIssueDialog

    void showEditIssueDialog()

Change issue(web view)

#### showProjectColorDialog

    void showProjectColorDialog()

Change project color dialog

#### updateProjectColor

    void updateProjectColor(ProjectEvaluationType type)

Update project color

Parameters:
  `type` - evaluation color